Onerway
POST

Get card basic info

Use this endpoint to query the basic status information of a card.

Request

ApiKey
Issuing API key request header assigned by Onerway.
Example:
cardId
Card ID.
Example:

Request example

curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/getBasicInfo' \
  -H 'ApiKey: replace_with_issuing_api_key' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "cardId": 100001
}'

Response

respCode
Business response code. 20000 means success.
respMsg
Response message.
Card basic information.

Response example

{
  "respCode": "20000",
  "respMsg": "success",
  "data": {
    "cardId": 100001,
    "cardholderId": 300001,
    "productId": 1,
    "status": "ACTIVE",
    "blockedFlag": false
  }
}
No error responses are documented for this endpoint.